QGIS Application - Feature request #16587
Native XYZ provider doesn't support local files
2017-05-20 12:03 AM - Olivier Dalang

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/XYZ

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 24489
Description

Hi !

The new native XYZ tiles provider is awesome.

But it doesn't seem to support local files. URLs like file:///mypath/{z}/{x}/{y}.png should work, but they don't load.

The console shows

Tile request error (Status:; Content-Type:; Length:24803; URL:

file:///C:/Users/Olivier/Dropbox/Backups/UrbaSEN_Gandi/urbamonde_vps_tiles/ign_2010/17/59211/60097.jpg)

Could it be that it just fails because the code is expecting an http status ?

Thanks !

Associated revisions

Revision 87aa9320 - 2018-09-24 01:08 AM - Saber Razmjooei

fixes #16587

History

#1 - 2017-05-23 11:37 AM - Alexander Bruy

- Tracker changed from Bug report to Feature request

#2 - 2017-05-23 11:40 AM - Alexander Bruy
- Category changed from Rasters to Web Services clients/XYZ

#3 - 2018-09-23 11:05 AM - Saber Razmjooei

- Status changed from Open to In Progress

This should be addressed in this PR:
https://github.com/qgis/QGIS/pull/7986

Thanks for Nyall's suggestion here:
https://lists.osgeo.org/pipermail/qgis-user/2018-September/041118.html

#4 - 2018-09-24 01:07 AM - Saber Razmjooei
- % Done changed from 0 to 100

2024-04-24

12



https://github.com/qgis/QGIS/pull/7986
https://lists.osgeo.org/pipermail/qgis-user/2018-September/041118.html

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|87aa9320415ba21e0766d4d132ce190a56538a0a.
